Bug 47985 - textproc/sp: build fix for -CURRENT, 64-bit
textproc/sp: build fix for -CURRENT, 64-bit
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: chuckr
Depends on:
  Show dependency treegraph
Reported: 2003-02-06 02:00 UTC by Christian Weisgerber
Modified: 2003-03-05 09:50 UTC (History)
0 users

See Also:

file.diff (4.31 KB, patch)
2003-02-06 02:00 UTC, Christian Weisgerber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weisgerber freebsd_committer 2003-02-06 02:00:28 UTC
textproc/sp doesn't build on -CURRENT (with GCC 3.2) or on 64-bit
platforms.  The patchset below fixes these issues.

(I have also moved some feature defines from config.h to Makefile.
Either way, SP_MULTI_BYTE should only be defined once.)
Comment 1 Christian Weisgerber freebsd_committer 2003-02-06 02:19:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->chuckr

Over to maintainer.
Comment 2 sobomax freebsd_committer 2003-02-17 13:29:25 UTC
State Changed
From-To: open->closed

Update committed, thanks!
Comment 3 sobomax freebsd_committer 2003-02-17 15:22:30 UTC
State Changed
From-To: closed->open

Mea culpa - I've closed it insted of 47958. Sorry folks...
Comment 4 kris freebsd_committer 2003-03-05 09:50:41 UTC
State Changed
From-To: open->closed

Patch committed, thanks!